# $Revision: 1.14 $Date: 2004/04/29 00:44:41 $
%include        /usr/lib/rpm/macros.perl
Summary:	LDAP Migration Tools
Summary(pl):	Narzdzia do migraacji do LDAP
Name:		ldap-MigrationTools
Version:	45
Release:	2
License:	custom
Group:		Base
Source0:	http://www.padl.com/download/MigrationTools.tgz
# Source0-md5:	2355e54f17a1fdc87b0d56ed9ea3e115
Source1:	http://www.padl.com/download/MigrationTools.txt
URL:		http://www.padl.com/tools.html
Patch0:		MigrationTools-38-instdir.patch
Patch1:		MigrationTools-36-mktemp.patch
Patch2:		MigrationTools-27-simple.patch
Patch3:		MigrationTools-26-suffix.patch
Patch4:		MigrationTools-44-schema.patch
BuildRequires:	rpm-perlprov
Requires:	openldap
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MigrationTools are a set of Perl scripts for migrating users,
groups, aliases, hosts, netgroups, networks, protocols, RPCs, and
services from existing nameservices (flat files, NIS, and NetInfo) to
LDAP.

%description -l pl
MigrationTools to zestaw skryptw perlowych do migracji uytkownikw,
grup, hostw, grup sieciowych, sieci, protokow, RPC i serwisw z
istniejcych serwisw nazw (zwykych plikw, NIS, NetInfo) do LDAP.

%prep
%setup -qn MigrationTools-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
install %{SOURCE1} .

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/MigrationTools
install *.sh *.pl *.ph $RPM_BUILD_ROOT%{_datadir}/MigrationTools

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc MigrationTools.txt README
%dir %{_datadir}/MigrationTools
%attr(755,root,root) %{_datadir}/MigrationTools/*.sh
%attr(755,root,root) %{_datadir}/MigrationTools/*.pl
%config(noreplace) %verify(not md5 size mtime) %{_datadir}/MigrationTools/*.ph

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ldap-MigrationTools.spec,v $
Revision 1.14  2004/04/29 00:44:41  undefine
- BA: noarch

Revision 1.13  2003/10/09 13:58:23  baggins
- removed services patch, it's wrong, fix rather /etc/services

Revision 1.12  2003/10/09 12:21:37  baggins
- updated to 45
- fixed migrating /etc/services
- fixed attrs for config file

Revision 1.11  2003/07/14 17:22:01  baggins
- version 44
- added patches from RH requires for openldap 2.1.x

Revision 1.10  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/11/27 21:10:40  juandon
- new %%doc

Revision 1.7  2002/03/27 10:58:32  roman
s/Custom/custom in License

Revision 1.6  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/03 10:31:00  qboosh
- adapterized, pl translations, cosmetics

Revision 1.2  2001/04/17 12:04:43  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.1  2000/09/12 13:54:52  jajcus
- initial spec, separated from any other packages, as it requires perl
